Automaton_Release = Automaton:NewModule("Release", "AceEvent-2.0", "AceDebug-2.0")
Automaton.options.args.release = {
	type = 'toggle',
	name = 'AutoRelease',
	desc = 'Automatically release to ghost after dying in a battleground',
	get = function() return Automaton:IsModuleActive("Release") end,
	set = function(v) Automaton:ToggleModuleActive("Release", v) end,
}

function Automaton_Release:OnEnable()
	self:RegisterEvent("PLAYER_DEAD")
end

function Automaton_Release:PLAYER_DEAD()
	if MiniMapBattlefieldFrame.status == "active" then
		self:Debug("AutoReleasing...")
		RepopMe()
	end
end