Automaton_Wuss = Automaton:NewModule("Wuss", "AceEvent-2.0", "AceConsole-2.0", "AceDebug-2.0")
Automaton.options.args.wuss = {
	type = 'toggle',
	name = 'AutoWuss',
	desc = 'Decline all incoming duels. Like the wuss you are.',
	get = function() return Automaton:IsModuleActive("Wuss") end,
	set = function(v) Automaton:ToggleModuleActive("Wuss", v) end,
}

function Automaton_Wuss:OnInitialize()
end

function Automaton_Wuss:OnEnable()
	self:RegisterEvent("DUEL_REQUESTED")
end

function Automaton_Wuss:DUEL_REQUESTED()
	self:Print("Canceling duel...")
	CancelDuel()
	StaticPopup_Hide("DUEL_REQUESTED")
end
